extends ProgressBar

func _ready() -> void:
	EventBus.cube_integrity_changed.connect(_on_EventBus_cube_integrity_changed)
	value = 100


func _on_EventBus_cube_integrity_changed(_value, _max_value) -> void:
	set_value(float(_value)/float(_max_value) * 100.0)
